body {
  font-family: Roboto;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

code {
  font-family: Roboto Mono;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: Merriweather;
  font-weight: 1000;
}

p {
  font-family: "Roboto", sans-serif;
  font-weight: 300;
}

.sub {
  font-family: "Roboto", sans-serif;
  font-weight: 200;
  font-size: 1em;
  color: rgb(107, 107, 107);
}

.pagetitle {
  font-family: Merriweather;
  font-weight: 1000;
  font-size: 3em;
  color: black;
  margin: 0;
  text-decoration: none;
  text-decoration: none;
  transition-duration: 0.2s;
}

.pagetitle:hover {
  color: rgb(0, 96, 138);
  font-size: 3.1em;
}

.circle {
  height: 125px;
  width: 125px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
}

.social-items {
  display: flex;
  align-items: center;
  justify-content: center;
}

.social {
  padding: 10px;
  font-size: 30px;
  width: 20px;
  text-align: center;
  text-decoration: none;
  color: black;
  transition-duration: 0.2s;
}

.social:hover {
  color: rgb(0, 96, 138);
  font-size: 28px;
}

.sidebar {
  background-color: rgb(235, 235, 235);
  height: 100%; /* Full-height: remove this if you want "auto" height */
  width: 30%; /* Set the width of the sidebar */
  position: fixed; /* Fixed Sidebar (stay in place on scroll) */
  z-index: 1; /* Stay on top */
  top: 0; /* Stay at the top */
  left: 0;
  overflow-x: hidden; /* Disable horizontal scroll */
}

.sidecontent {
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.footer {
  text-align: center;
  position: absolute;
  display: flex;
  top: 95%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.footertext {
  font-family: "Roboto", sans-serif;
  padding: 0 10px;
  font-weight: 200;
  font-size: 1em;
  color: rgb(107, 107, 107);
  transition-duration: 0.2s;
}

.footertext:hover {
  color: black;
}

.main {
  margin-left: 30%; /* Same as the width of the sidenav */
  padding: 20px 20px;
  /* text-align: center; */
}

.posttitle {
  font-family: Merriweather;
  font-weight: 1000;
  color: black;
  text-decoration: none;
  font-size: 2em;
  transition-duration: 0.2s;
}

.post {
  text-align: center;
  padding: 40px 10%;
  transition-duration: 0.2s;
}

.posttitle:hover {
  font-size: 2.1em;
  color: rgb(0, 96, 138);
}

.about {
  padding-top: 10%;
}

.bio {
  padding: 40px 10%;
}

.sectiontitle {
  font-size: 2em;
  transition-duration: 0.2s;
  margin: 1px;
}

.section {
  padding: 40px 10%;
  transition-duration: 0.2s;
}

.aboutitem {
  padding-top: 10px;
}

.languageitem {
  padding-top: 10px;
  display: flex;
  align-items: center;
}
.languageitem h3 {
  margin: 0;
}
.langtext {
  padding: 10px;
  margin: 0;
}

.date {
  color: gray;
  font-size: 14px;
  margin: 1px;
}

.singlepost {
  padding: 40px 10%;
  transition-duration: 0.2s;
}

.singleposttitle {
  font-family: Merriweather;
  font-weight: 1000;
  color: black;
  font-size: 3em;
}

@media only screen and (max-width: 768px) {
  .sidebar {
    background-color: rgb(153, 153, 153);
    height: 100%; 
    width: unset; 
    position: unset;
    z-index: unset; /* Stay on top */
    top: unset; /* Stay at the top */
    left: unset;
    overflow-x: unset; /* Disable horizontal scroll */
  }

  .main {
    margin-left: unset;
    /* padding: 20px 20px; */
    margin-top: 100vh;
    /* text-align: center; */
  }
}
